<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [codingcontract](./bitburner.ns.codingcontract.md)

## NS.codingcontract property

Namespace for [coding contract](./bitburner.codingcontract.md) functions.

**Signature:**

```typescript
readonly codingcontract: CodingContract;
```
